Bug 488862 - noisy live image boot
noisy live image boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 19:03 EST by jmccann
Modified: 2015-01-14 18:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:31:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmccann 2009-03-05 19:03:08 EST
The livecd spews out a few messages during boot before plymouth:
Mounting proc filesystem
Mounting sysfs filesystem
Creating initial /dev
Running plymouthd

these result from echo statements in the initrd init.

These messages aren't seem during a normal system boot (only the live image).

The init created by mkliveinitrd and mkinitrd both have these kinds of echo statements.  The internal echo handler in nash only writes output if a quiet boot was not requested.  However, nash checks the path for a matching command before it runs its own handlers and the mkliveinitrd installs a /bin/echo.

Possible fixes include
 * Remove inst /bin/echo from mkliveinitrd
 * Remove echo statements from mkliveinitrd
 * Make nash check internal handlers first
 * Special case echo or something
Comment 1 Warren Togami 2009-03-05 23:33:26 EST
This isn't nash's fault.

The only bug here is mkliveinitrd installed /bin/echo.  When it exists, it takes precedence to the nash built-in echo.  We want the built-in echo behavior.

Thus the only necessary fix is to remove installation of /bin/echo to the initrd image.
Comment 2 jmccann 2009-03-06 00:06:26 EST
Is there an echo in here?  Pretty much what I said, no?
Comment 3 Jeremy Katz 2009-03-06 10:35:44 EST
Committed removing /bin/echo
Comment 4 Bug Zapper 2009-06-09 07:56:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Hans de Goede 2010-01-12 10:31:41 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.